=== debian/changelog ===
python-aiobotocore (2.13.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload for testing migration.

 -- Boyuan Yang <byang@debian.org>  Sat, 07 Dec 2024 11:30:39 -0500

python-aiobotocore (2.13.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1078345)

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Jul 2024 07:13:26 +0200
