=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/aio-libs/aiobotocore.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_test:
	set -e ; set -x ; for pyvers in `py3versions -rv 2>/dev/null` ; do \
		python$$pyvers -m pytest -v tests -k 'not test_get_credentials and not test_sso_credential_fetcher_can_fetch_credentials and not test_sso_cred_fetcher_raises_helpful_message_on_unauthorized_exception and not test_load_sso_credentials_without_cache and not test_load_sso_credentials_with_cache and not test_load_sso_credentials_with_cache_expired and not test_max_rate_updated_on_success_response and not test_max_rate_cant_exceed_20_percent_max and not test_required_config_not_set and not test_retry and not test_signers_generate_presigned_urls and not test_signers_generate_presigned_post' \
			--ignore tests/test_basic_s3.py \
			--ignore tests/python3.8/test_eventstreams.py \
			--ignore tests/test_batch.py \
			--ignore tests/test_config.py \
			--ignore tests/test_dynamodb.py \
			--ignore tests/test_ec2.py \
			--ignore tests/test_eventstreams.py \
			--ignore tests/test_lambda.py \
			--ignore tests/test_monitor.py \
			--ignore tests/test_patches.py \
			--ignore tests/test_sqs.py \
			--ignore tests/test_sns.py \
			--ignore tests/test_stubber.py \
			--ignore tests/test_waiter.py ; \
	done
