=== docs/requirements.txt ===
sphinx==8.3.0
