=== debian/changelog ===
python-aiobotocore (2.25.2-1) unstable; urgency=medium

  [ Antonio Valentino ]
  * New upstream release.
  * Update d/watch to use github.
  * debian/control:
    - Update dependencies.
      New dependencies: python3-dateutil, python3-jmespath and
      python3-multidict.
    - Use dh-sequence-python3.
  * Update d/copyright.
  * debian/rules:
    - Skip test requiring access to the internet (Closes: #1091485).

  [ Edward Betts ]
  * Add my name to Uploaders.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Tue, 30 Dec 2025 17:44:46 +0000
