=== debian/control ===
Source: python-aiobotocore
Section: python
Testsuite: autopkgtest-pkg-pybuild
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Edward Betts <edward@4angle.com>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 dh-sequence-python3,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 awscli,
 python3-aiohttp,
 python3-aioitertools,
 python3-anyio <!nocheck>,
 python3-boto3,
 python3-botocore,
 python3-coverage,
 python3-dill,
 python3-dateutil,
 python3-docker (>= 7.1),
 python3-flask-cors,
 python3-jmespath,
 python3-multidict,
 python3-moto,
 python3-pytest <!nocheck>,
 python3-pytest-asyncio <!nocheck>,
 python3-pytest-cov <!nocheck>,
 python3-pytest-xdist <!nocheck>,
 python3-time-machine <!nocheck>,
 python3-wrapt,
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/python-aiobotocore.git
Homepage: https://github.com/aio-libs/aiobotocore

Package: python3-aiobotocore
Architecture: all
Depends:
 awscli,
 ${misc:Depends},
 ${python3:Depends},
Description: async client for aws services using botocore and aiohttp
 Async client for amazon services using botocore and aiohttp/asyncio.
 This library is a mostly full featured asynchronous version of botocore.
 .
 This package is a dependency of Home Assistant.
