=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/aio-libs/aiobotocore.git
include /usr/share/openstack-pkg-tools/pkgos.make

export PYBUILD_NAME=aiobotocore
# Skip tests requiring acess to the internet
export PYBUILD_TEST_ARGS=-v \
    -k "not test_get_credentials[aiohttp] \
    and not test_required_config_not_set[aiohttp] \
    and not test_sso_credential_fetcher_can_fetch_credentials[aiohttp] \
    and not test_sso_cred_fetcher_raises_helpful_message_on_unauthorized_exception[aiohttp] \
    and not test_sso_cred_fetcher_expired_legacy_token_has_expected_behavior[aiohttp] \
    and not test_sso_cred_fetcher_feature_ids_registered_during_get_credentials[aiohttp] \
    and not test_load_sso_credentials_without_cache[aiohttp] \
    and not test_load_sso_credentials_with_cache[aiohttp] \
    and not test_load_sso_credentials_with_cache_expired[aiohttp] \
    and not test_load_sso_credentials_with_account_id[aiohttp] \
    and not test_create_nested_client_creates_working_client[aiohttp] \
    and not test_create_nested_client_manages_plugin_context[aiohttp] \
    and not test_plugin_context_prevents_infinite_loops[aiohttp] \
    and not test_plugin_context_environment_variable_handling[aiohttp] \
    and not test_multiple_nested_clients[aiohttp] \
    and not test_nested_client_context_manager[aiohttp] \
    and not test_connector_timeout[aiohttp] \
    and not test_connector_timeout2[aiohttp] \
    and not test_kinesis_stream_json_parser[aiohttp] \
    and not test_sqs[aiohttp] \
    and not test_release_versions[aiohttp]" \
    --ignore $(CURDIR)/tests/test_basic_s3.py \
    --ignore $(CURDIR)/tests/test_batch.py \
    --ignore $(CURDIR)/tests/test_configprovider.py \
    --ignore $(CURDIR)/tests/test_dynamodb.py \
    --ignore $(CURDIR)/tests/test_ec2.py \
    --ignore $(CURDIR)/tests/test_endpoint.py \
    --ignore $(CURDIR)/tests/test_lambda.py \
    --ignore $(CURDIR)/tests/test_monitor.py \
    --ignore $(CURDIR)/tests/test_mturk.py \
    --ignore $(CURDIR)/tests/test_sqs.py \
    --ignore $(CURDIR)/tests/test_sns.py \
    $(CURDIR)/tests

%:
	dh $@ --buildsystem=pybuild
