=== debian/watch ===
Version: 5

Template: Github
Owner: aio-libs
Project: aiobotocore
Uversion-Mangle: s/^3\.0\.0$/0~ignored/
